Skip to main content

GetAddressDataFromCoordinates

GET 

/location/geo

Convert a set of WGS 84 coordinates into a physical address. Only country and state/province/region are guaranteed. Higher accuracy properties (street number, street, etc) are provided when available.

A 404 status code (not found) will be returned if nRF Cloud cannot determine at least country and state/province/region for the provided coordinates.

nRF Cloud returns the address data closest to the submitted coordinates. Coordinates from a higher-density urban areas generally provide better results. Coordinates from rural areas may return address data further away from the submitted coordinates. The system returns an uncertainty property, which is the distance in meters away from the submitted coordinates.

Coordinates obtained with a high-accuracy method (GNSS / Wi-Fi) will provide address data closer to the actual device location than coordinates obtained with lower-accuracy methods like cellular.

curl --location --request GET "$API_HOST/v1/location/geo?lat=45.524098&lon=-122.688408" \
--header "Authorization: Bearer $JWT" \
--header "Content-Type: application/json"

Cloud-to-cloud request:

curl -G "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/geo" -d "lat=45.524098" -d "lon=-122.688408" -H "Authorization: Bearer $NRFCLOUD_OAT"

Request​

Responses​

Returns address data for a set of WGS 84 coordinates.